import QtQuick 1.1

import qb.components 1.0

Screen {
	id: root

	screenTitleIconUrl: "drawables/DomoSystrayIcon2.png"
	//Edit these settings:
	property string hostName: "192.168.x.x"
	property string portNum: "8080"
	property string baseUrl: "/domoticz" 
	//Stop editing here!
	screenTitle: qsTr("Domoticz")

	function simpleSynchronous(request) {
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.open("GET", request, true);
		xmlhttp.timeout = 1500;
		xmlhttp.send();
		xmlhttp.onreadystatechange=function() {
			if (xmlhttp.readyState == 4) {
				if (xmlhttp.status == 200) {
					pageThrobber.visible = false;
					if (typeof(functie) !== 'undefined') {
						functie(parameter);
					}
				}
			}
		}
	}
// Button 1
	IconButton {
		id: woonkamerButton
		anchors {
			top: parent.top
			topMargin: 40
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75
		
		iconSource: "drawables/popupPlug1.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+""+baseUrl+"/json.htm?type=command&param=switchlight&idx=123&switchcmd=Toggle");
		}
	}

	Text {
		id: woonkamertitle
		anchors {
			left: woonkamerButton.right
			verticalCenter: woonkamerButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("TV-Meubel")
	}
//Button 2
	IconButton {
		id: overloopButton
		anchors {
			top: woonkamerButton.bottom
			topMargin: 15
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/popupPlug1.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+""+baseUrl+"/json.htm?type=command&param=switchlight&idx=131&switchcmd=Toggle");
		}
	}

	Text {
		id: overlooptitle
		anchors {
			left: overloopButton.right
			verticalCenter: overloopButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Boekenkast")
	}
//Button 3
	IconButton {
		id: keukenButton
		anchors {
			top: overloopButton.bottom
			topMargin: 15
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/Light48_On.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+""+baseUrl+"/json.htm?type=command&param=switchlight&idx=62&switchcmd=Toggle");
		}
	}

	Text {
		id: keukentitle
		anchors {
			left: keukenButton.right
			verticalCenter: keukenButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Eettafel")
	}
//Button 4
	IconButton {
		id: homecinemaButton
		anchors {
			top: keukenButton.bottom
			topMargin: 15
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/Light48_On.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+""+baseUrl+"/json.htm?type=command&param=switchlight&idx=51&switchcmd=Toggle");
		}
	}

	Text {
		id: homecinematitle
		anchors {
			left: homecinemaButton.right
			verticalCenter: homecinemaButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Keuken")
	}
//Button 5
	IconButton {
		id: sceneButton
		anchors {
			top: parent.top
			topMargin: 40
			left: parent.left
			leftMargin: 350
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/push48.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+""+baseUrl+"/json.htm?type=command&param=switchscene&idx=2&switchcmd=Off");
		}
	}

	Text {
		id: scenetitle
		anchors {
			left: sceneButton.right
			verticalCenter: sceneButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Alles Uit")
	}
}
